Skip to main content
`Ctrl`+`K`

# PetscMaxSum

Returns the max of the first entry over all MPI processes and the sum of the second entry.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMaxSum(MPI_Comm comm, const PetscInt array[], PetscInt *max, PetscInt *sum)

Collective

## Input Parameters

- comm - the communicator

- array - an arry of length 2 times `size`, the number of MPI processes

## Output Parameters

- max - the maximum of `array[2*rank]` over all MPI processes

- sum - the sum of the `array[2*rank + 1]` over all MPI processes

## See Also

`PetscInitialize()`

## Level

developer

## Location

src/sys/objects/pinit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages